classification
Title: Support for SameSite Cookies
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: akash0x53, alex, asvetlov
Priority: normal Keywords: patch

Created on 2017-02-21 10:54 by akash0x53, last changed 2018-04-08 13:44 by alex. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 214 closed python-dev, 2017-02-21 10:58
PR 6413 merged alex, 2018-04-07 17:50
Messages (4)
msg288287 - (view) Author: Akash Shende (akash0x53) * Date: 2017-02-21 10:54
Right now Morsel dont accept cookie setting outside of reserved words defined in http/cookies.py
msg315073 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2018-04-07 20:09
New changeset c87eb09d2e3783b0b5dc0d7cb304050cbcc86ad3 by Alex Gaynor in branch 'master':
bpo-29613: Added support for SameSite cookies (GH-6413)
https://github.com/python/cpython/commit/c87eb09d2e3783b0b5dc0d7cb304050cbcc86ad3
msg315081 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-04-08 11:20
Alex, the PR has landed into 3.8 (master).
Should the issue's "versions" field be updated? Now it is 3.7
msg315085 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2018-04-08 13:44
Good catch.
History
Date User Action Args
2018-04-08 13:44:47alexsetmessages: + msg315085
versions: + Python 3.8, - Python 3.7
2018-04-08 11:20:03asvetlovsetnosy: + asvetlov
messages: + msg315081
2018-04-07 20:12:44alexsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-04-07 20:09:49alexsetnosy: + alex
messages: + msg315073
2018-04-07 17:50:59alexsetkeywords: + patch
pull_requests: + pull_request6118
2017-02-21 19:16:05Mariattasetstage: patch review
2017-02-21 18:04:49Mariattasetversions: - Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6
2017-02-21 10:58:45python-devsetpull_requests: + pull_request180
2017-02-21 10:54:31akash0x53create